#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Python binding for the nodejs HTTP parser
Summary(pl.UTF-8):	Wiązanie Pythona do parsera HTTP z nodejs
Name:		python3-httptools
Version:	0.6.4
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/httptools/
Source0:	https://files.pythonhosted.org/packages/source/h/httptools/httptools-%{version}.tar.gz
# Source0-md5:	2935c69c18c12febdc918198e4cdd0d1
URL:		https://pypi.org/project/httptools/
BuildRequires:	http-parser-devel >= 2.9.4
BuildRequires:	llhttp-devel >= 8.1.1
BuildRequires:	python3-Cython >= 0.29.24
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	http-parser >= 2.9.4
Requires:	llhttp >= 8.1.1
Requires:	python3-modules >= 1:3.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
httptools is a Python binding for the nodejs HTTP parser.

%description -l pl.UTF-8
httptools to wiązanie Pythona do parsera HTTP z nodejs.

%prep
%setup -q -n httptools-%{version}

%build
%py3_build build_ext \
	--use-system-http-parser \
	--use-system-llhttp

%if %{with tests}
# change dir to hide httptools source dir
cd build-3
ln -sf ../tests tests

LC_ALL=C.UTF-8 \
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
PYTHONPATH=$(echo $(pwd)/lib.linux-*) \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%dir %{py3_sitedir}/httptools
%{py3_sitedir}/httptools/*.py
%{py3_sitedir}/httptools/__pycache__
%dir %{py3_sitedir}/httptools/parser
%attr(755,root,root) %{py3_sitedir}/httptools/parser/*.cpython-*.so
%{py3_sitedir}/httptools/parser/*.py
%{py3_sitedir}/httptools/parser/__pycache__
%{py3_sitedir}/httptools-%{version}-py*.egg-info
%changelog
* Sun May 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-httptools.git;a=log;h=master

* Sun May 04 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 3a8645f
- Up to 0.6.4

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 66713b1
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> b209ec0
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> c6c9abc
- use patch -P

* Mon Mar 11 2024 Jakub Bogusz <qboosh@pld-linux.org> f80070b
- new

